package com.aucma.production.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 生产日历对象 product_calendar_info
 *
 * @author Yinq
 * @date 2023-11-23
 */
public class CalendarInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * SAP计划编号
     */
    @Excel(name = "SAP计划编号")
    private String sapPlanCode;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    private String materialCode;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * 计划开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planStartDate;

    /**
     * 计划结束日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planEndDate;

    /**
     * 计划数量
     */
    @Excel(name = "计划数量")
    private BigDecimal planAmount;

    /**
     * 计划排产日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划排产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date schedulingDate;

    /**
     * 是否已排产（0-是；1否）
     */
    @Excel(name = "是否已排产", readConverterExp = "0=是,1=否")
    private Long isScheduling;

    /**
     * 排产班组
     */
    @Excel(name = "排产班组")
    private String schedulingTeam;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setSapPlanCode(String sapPlanCode) {
        this.sapPlanCode = sapPlanCode;
    }

    public String getSapPlanCode() {
        return sapPlanCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setPlanStartDate(Date planStartDate) {
        this.planStartDate = planStartDate;
    }

    public Date getPlanStartDate() {
        return planStartDate;
    }

    public void setPlanEndDate(Date planEndDate) {
        this.planEndDate = planEndDate;
    }

    public Date getPlanEndDate() {
        return planEndDate;
    }

    public void setPlanAmount(BigDecimal planAmount) {
        this.planAmount = planAmount;
    }

    public BigDecimal getPlanAmount() {
        return planAmount;
    }

    public void setSchedulingDate(Date schedulingDate) {
        this.schedulingDate = schedulingDate;
    }

    public Date getSchedulingDate() {
        return schedulingDate;
    }

    public void setIsScheduling(Long isScheduling) {
        this.isScheduling = isScheduling;
    }

    public Long getIsScheduling() {
        return isScheduling;
    }

    public void setSchedulingTeam(String schedulingTeam) {
        this.schedulingTeam = schedulingTeam;
    }

    public String getSchedulingTeam() {
        return schedulingTeam;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("sapPlanCode", getSapPlanCode())
                .append("materialCode", getMaterialCode())
                .append("materialName", getMaterialName())
                .append("planStartDate", getPlanStartDate())
                .append("planEndDate", getPlanEndDate())
                .append("planAmount", getPlanAmount())
                .append("schedulingDate", getSchedulingDate())
                .append("isScheduling", getIsScheduling())
                .append("schedulingTeam", getSchedulingTeam())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
